IBldInfView (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IBldInfView interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Interface IBldInfView

All Superinterfaces:
  IBldInfData, IData<IBldInfView>, IView

    public interface IBldInfView

extends IView, IBldInfData

A view onto bld.inf contents.

Method Summary
`IExport` | `createExport()` Creates, doesn’t add
`IExtension` | `createExtension()` Create an IExtension.
`IMakefileReference` | `createMakefileReference()` Creates, doesn’t add
`IMMPReference` | `createMMPReference()` Creates, doesn’t add
`IExtension[]` | `getAllExtensions()` Get all the IExtensions from the normal and test sections.
`IMakefileReference[]` | `getAllMakefileReferences()` Get copy of list of normal and test makefiles This is a copy of information derived from the view contents at the time of the query.
`IMakMakeReference[]` | `getAllMakMakeReferences()` Get copy of list of normal and test MMPs and makefiles.
`IMMPReference[]` | `getAllMMPReferences()` Get copy of list of normal and test MMP files.
`IBldInfData` | `getData()` Get a copy of cacheable data for the view.
`java.util.List<IExport>` | `getExports()` Access/modify prj_exports contents
`java.util.List<IExtension>` | `getExtensions()` Access/modify the PRJ_EXTENSIONS contents.
`java.util.List<IMakMakeReference>` | `getMakMakeReferences()` Access/modify prj_mmpfiles contents (may share entries from #getMakMakeReferences())
`java.util.List<java.lang.String>` | `getPlatforms()` Access/modify supported platforms, with case-insensitive membership tests This list is not validated.
`java.util.List<IExport>` | `getTestExports()` Access/modify prj_testexports contents (may share entries from #getExports())
`java.util.List<IExtension>` | `getTestExtensions()` Acess/modify the PRJ_TESTEXTENSIONS contents.
`java.util.List<IMakMakeReference>` | `getTestMakMakeReferences()` Access/modify test_mmpfiles contents (may share entries from #getTestMakMakeReferences())

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IView
`addListener, commit, convertModelToProjectPath, convertProjectToModelPath, dispose, forceSynchronized, getMessages, getModel, getProjectPath, getReferencedFiles, getViewConfiguration, markUnsynchronized, merge, needsSynchonize, removeListener, revert, setDebug`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IData
`getModelPath, getProjectPath, getReferencedFiles`

Method Detail

### getPlatforms

    java.util.List<java.lang.String> getPlatforms()

  Access/modify supported platforms, with case-insensitive membership tests

  This list is not validated. It contains literal strings like “default”, “-winscw”, etc. The client is expected to understand what to put here. Friendlier APIs may be provided if we can get a good story on what these cases mean:

  - Is there a way to set platforms to “default” then get the actual list back? Do we want to “flatten” the list in any case? Note, the list can change between SDKs, which are difficult to distinguish in #ifdefs.
  - If the editor shows the actual list of platforms, what does the source eventually show? Given different platforms that may come and go in the future (and between SDKs), should the actual list even be displayed?

  Specified by:
    `getPlatforms` in interface `IBldInfData`
  Returns:

### getExports

    java.util.List<IExport> getExports()

  Access/modify prj_exports contents

  Specified by:
    `getExports` in interface `IBldInfData`
  Returns:

### getTestExports

    java.util.List<IExport> getTestExports()

  Access/modify prj_testexports contents (may share entries from #getExports())

  Specified by:
    `getTestExports` in interface `IBldInfData`
  Returns:

### getMakMakeReferences

    java.util.List<IMakMakeReference> getMakMakeReferences()

  Access/modify prj_mmpfiles contents (may share entries from #getMakMakeReferences())

  Specified by:
    `getMakMakeReferences` in interface `IBldInfData`
  Returns:

### getTestMakMakeReferences

    java.util.List<IMakMakeReference> getTestMakMakeReferences()

  Access/modify test_mmpfiles contents (may share entries from #getTestMakMakeReferences())

  Specified by:
    `getTestMakMakeReferences` in interface `IBldInfData`
  Returns:

### getAllMakMakeReferences

    IMakMakeReference[] getAllMakMakeReferences()

  Get copy of list of normal and test MMPs and makefiles.

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Specified by:
    `getAllMakMakeReferences` in interface `IBldInfData`
  Returns:
    array, never null

### getAllMMPReferences

    IMMPReference[] getAllMMPReferences()

  Get copy of list of normal and test MMP files.

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Specified by:
    `getAllMMPReferences` in interface `IBldInfData`
  Returns:
    array, never null

### getAllMakefileReferences

    IMakefileReference[] getAllMakefileReferences()

  Get copy of list of normal and test makefiles

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Specified by:
    `getAllMakefileReferences` in interface `IBldInfData`
  Returns:
    array, never null

### createExport

    IExport createExport()

  Creates, doesn’t add

### createMMPReference

    IMMPReference createMMPReference()

  Creates, doesn’t add

  Returns:

### createMakefileReference

    IMakefileReference createMakefileReference()

  Creates, doesn’t add

  Returns:

### getExtensions

    java.util.List<IExtension> getExtensions()

  Access/modify the PRJ_EXTENSIONS contents.

  Specified by:
    `getExtensions` in interface `IBldInfData`
  Returns:
    list of IExtension, read/modify

### getTestExtensions

    java.util.List<IExtension> getTestExtensions()

  Acess/modify the PRJ_TESTEXTENSIONS contents.

  Specified by:
    `getTestExtensions` in interface `IBldInfData`
  Returns:
    list of IExtension, read/modify

### createExtension

    IExtension createExtension()

  Create an IExtension. Not added to the view.

  Returns:
    empty IExtension instance

### getAllExtensions

    IExtension[] getAllExtensions()

  Get all the IExtensions from the normal and test sections.

  Specified by:
    `getAllExtensions` in interface `IBldInfData`
  Returns:
    array of IExtension, never null

### getData

    IBldInfData getData()

  Description copied from interface: `IView`
  Get a copy of cacheable data for the view.

  Specified by:
    `getData` in interface `IView`
  Returns:
    instance of IData containing current data in the view, or `null` if such data cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD